import type { ChunkMetadata } from 'vite';
import type { InjectCode, InjectCodeFunction } from './utils';
import type { OutputChunk } from 'rollup';
import type { BuildOptions } from 'vite';
declare module 'rollup' {
    interface RenderedChunk {
        viteMetadata: ChunkMetadata;
    }
}
export interface BaseOptions {
    injectCode?: InjectCode;
    injectCodeFunction?: InjectCodeFunction;
    styleId?: string;
    topExecutionPriority?: boolean;
    useStrictCSP?: boolean;
}
export interface PluginConfiguration extends BaseOptions {
    jsAssetsFilterFunction?: (chunk: OutputChunk) => boolean;
    preRenderCSSCode?: (cssCode: string) => string;
    relativeCSSInjection?: boolean;
    suppressUnusedCssWarning?: boolean;
}
export interface CSSInjectionConfiguration extends BaseOptions {
    cssToInject: string;
}
export interface BuildCSSInjectionConfiguration extends CSSInjectionConfiguration {
    buildOptions: BuildOptions;
}
